Pacman

Welcome to the Pacman bug tracker. Please search the current bugs and feature requests before filing a new one! Use advanced search and select "Search in Comments".

* Please select the correct category and version.
* Write a descriptive summary, background info, and provide a reproducible test case whenever possible.
Tasklist

FS#31902 - [pacman] old package version is missing from pre_upgrade()

Attached to Project: Pacman
Opened by Laurent Carlier (lordheavy) - Thursday, 11 October 2012, 17:02 GMT
Last edited by Dave Reisner (falconindy) - Thursday, 11 October 2012, 17:41 GMT
Task Type Bug Report
Category General
Status Closed
Assigned To Dan McGee (toofishes)
Dave Reisner (falconindy)
Architecture All
Severity Low
Priority Normal
Reported Version 4.0.3
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Summary and Info:
According from https://wiki.archlinux.org/index.php/PKGBUILD#install

in pre_upgrade() function
$1 new pkg version
$2 old pkg version

But currently $2 is empty.

package was upgraded with pacman -U

--8<--
Pacman v4.0.3 - libalpm v7.0.3
-->8--
This task depends upon

Closed by  Dave Reisner (falconindy)
Thursday, 11 October 2012, 17:41 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#29731 

Loading...